function []=PrintDistPredEval(MeanLogPredScore,PostProbCoverage,BandCoverageProbs,ModelName,MSSESubsetVars,PrintVars,EvalHorizons,VarLabels,CoverProb,OutFileName)

DateAndTimeStr=Clock2DateAndTimeStr(clock);     % a string containing current data and time    
fid=fopen(strcat(OutFileName,'.txt'),'wt'); % Open file to write the results to
NCoverProb=length(CoverProb);
NPrintVars=length(PrintVars);

fprintf(fid,'\n');
fprintf(fid,'--------------------------------------------------------------------------------------------------------------------\n');
fprintf(fid,'                                     Measures of Overall Forecasting Density Accuracy                               \n');
fprintf(fid,'                         Author: Mattias Villani, Sveriges Riksbank and Stockholm University                        \n');
fprintf(fid,['                                               ',DateAndTimeStr,'                            \n']);
fprintf(fid,'--------------------------------------------------------------------------------------------------------------------\n');
fprintf(fid,'\n');


for u=1:length(MSSESubsetVars)
    CurrentSubsetVars=VarLabels(MSSESubsetVars{u});
    StrCurrentSubsetVars='';
    for r=1:length(CurrentSubsetVars)
        StrCurrentSubsetVars=[StrCurrentSubsetVars,CurrentSubsetVars{r},', '];
    end
    StrCurrentSubsetVars=StrCurrentSubsetVars(1:end-2);
    fprintf(fid,'\n\n');
    fprintf(fid,['LOG PREDICTIVE DENSITY SCORE (LPDS) FOR ',ModelName,' BASED ON SUBSET: ',StrCurrentSubsetVars,'\n']);
    fprintf(fid,'\n');
    fprintf(fid,'%8s %10s','Horizon','LPDS');
    fprintf(fid,'\n');
    for j=1:length(EvalHorizons)
        fprintf(fid,'%7s',strcat(int2str(EvalHorizons(j)),'Q'));
        fprintf(fid,'%13.3f',MeanLogPredScore(j,u));
        fprintf(fid,'\n');
    end
    fprintf(fid,'\n');
end


fprintf(fid,'\n\n\n\n');
fprintf(fid,['EMPIRICAL COVERAGE PROBABILITY OF H-STEP-AHEAD FORECAST INTERVAL FOR ',ModelName,'\n\n']);
for CoverProbCount=1:NCoverProb
    fprintf(fid,[int2str(100*CoverProb(CoverProbCount)),'%% ','Nominal Coverage Probability']);    fprintf(fid,'\n');    
    fprintf(fid,'%7.7s','Horizon');
    for i=1:length(VarLabels(PrintVars))
        fprintf(fid,'%10.10s',VarLabels{PrintVars(i)});
    end
    fprintf(fid,'\n');
    for j=1:length(EvalHorizons)
        fprintf(fid,'%7s',strcat(int2str(EvalHorizons(j)),'Q'));
        fprintf(fid,'%10.3f',BandCoverageProbs(j,:,CoverProbCount));
        fprintf(fid,'\n');
    end
    fprintf(fid,'\n');
end
fprintf(fid,'\n\n\n\n');
Temp=zeros(1,NPrintVars);
fprintf(fid,['CALIBRATION INFERENCE FOR 1-STEP-AHEAD FORECAST INTERVAL FOR ',ModelName,'\n\n']);

for CoverProbCount=1:NCoverProb
    fprintf(fid,[int2str(100*CoverProb(CoverProbCount)),'%% ','Coverage Probability']);    fprintf(fid,'\n');
    fprintf(fid,'%7.7s','Horizon');
    for i=1:length(VarLabels(PrintVars))
        fprintf(fid,'%10.10s',VarLabels{PrintVars(i)});
    end
    fprintf(fid,'\n');
    for ModelCount=1:3
        fprintf(fid,'%7s',strcat('M',int2str(ModelCount-1)));
        for Var=1:NPrintVars
            Temp(Var)=PostProbCoverage(ModelCount,Var,CoverProbCount);
        end
        fprintf(fid,'%10.3f',Temp);
        fprintf(fid,'\n');
    end
    fprintf(fid,'\n');
end

fclose(fid);
winopen(strcat(OutFileName,'.txt'))