% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PURPOSE:          Script file for setting date labels in plots 
%
% AUTHOR:           Mattias Villani, Research Department, Sveriges Riksbank and
%                   Department of Statistics, Stockholm University. 
%                   E-mail: mattias.villani@riksbank.se
%
% LAST REVISED:     2004-09-10
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%  BEING USER INPUTS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
StartDate='98:4'
EndDate='05:4'
SubPlotStructure=[4 4];
%%%%%%%%%%%%%%%%%%% END USER INPUTS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for j=1:16
    subplot(4,4,j)
    TickLabels=get(gca','xticklabel');
    TickValues=get(gca','xtick');
    XLimits=get(gca,'xlim');
    for i=1:length(TickLabels)
        StartDateTickPosition(i)=all(TickLabels(i,:)==StartDate);
        EndDateTickPosition(i)=all(TickLabels(i,:)==EndDate);
    end
    StartDateTickValue=TickValues(find(StartDateTickPosition))
    EndDateTickValue=TickValues(find(EndDateTickPosition))
    set(gca,'xlim',[StartDateTickValue EndDateTickValue])
end